
Figure - Bug #114137
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试10小时，出现CRASH: com.android.systemui
2022-11-25 14:35 - CD Test赵飞

Status: CLOSED Start date: 2022-11-25

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0051.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-13

Test Type: Monkey Test Root cause: 类型转换异常,已修复

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 180000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.systemui (pid 2367)

// Short Msg: java.lang.ClassCastException

// Long Msg: java.lang.ClassCastException: android.graphics.drawable.NinePatchDrawable cannot be cast to

com.android.systemui.media.IlluminationDrawable

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/984:user/test-keys

// Build Changelist: 984

// Build Time: 1669227450000

// java.lang.ClassCastException: android.graphics.drawable.NinePatchDrawable cannot be cast to

com.android.systemui.media.IlluminationDrawable

//     at com.android.systemui.media.MediaControlPanel$1.getCurrentTopCornerRadius(MediaControlPanel.java:535)

//     at

com.android.systemui.animation.GhostedViewLaunchAnimatorController.createAnimatorState(GhostedViewLaunchAnimatorController.kt:1

13)

//     at com.android.systemui.statusbar.phone.StatusBarLaunchAnimatorController.createAnimatorState(Unknown Source:2)

//     at com.android.systemui.animation.ActivityLaunchAnimator$Runner.startAnimation(ActivityLaunchAnimator.kt:445)

//     at com.android.systemui.animation.ActivityLaunchAnimator$Runner.access$startAnimation(ActivityLaunchAnimator.kt:365)

//     at com.android.systemui.animation.ActivityLaunchAnimator$Runner$onAnimationStart$1.run(ActivityLaunchAnimator.kt:418)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)
// 

【日志】

见附件

History

#1 - 2022-11-28 15:20 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

请帮忙分析

#2 - 2022-12-12 16:53 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-13

- Root cause set to 类型转换异常,已修复

与下面这个票 原因相同，已修复

https://share.thundersoft.com/redmine/issues/114197

#3 - 2022-12-19 10:50 - CD Test赵飞

- % Done changed from 100 to 70

12月14号，16号DB版本均未复现此问题

Monkey问题，继续跟踪1个版本

#4 - 2022-12-20 11:26 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

12月17号DB版本未复现此问题

已跟踪3个版本未复现，关闭此问题

#5 - 2022-12-20 11:26 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

Files
Tlog.zip 17.6 MB 2022-11-25 CD Test赵飞
